using System;
using iNTERFACEWARE.Chameleon;
using PrefixTest;

class GeneratePatientRegister : GenerateMessage
{
   public string Description()
   {
         return "PatientRegister(Register a Patient)";
   }
   public string GenerateMessage(Engine aEngine)
   {
      PatientRegisterMessage aMessage = new PatientRegisterMessage(aEngine);
      aMessage.Patient().AddRow();
      aMessage.Patient(0).SetLastName("LastName Dummy Value");
      aMessage.Patient(0).SetFirstName("FirstName Dummy Value");
      aMessage.Patient(0).SetDob(ChameleonDateTime.Now());
      aMessage.Patient(0).SetBirthOrder(3.12);
      aMessage.Patient(0).SetSpeciesCode(4);
      aMessage.Insurance().AddRow();
      aMessage.Insurance(0).Insurance().AddRow();
      aMessage.Insurance(0).Insurance(0).SetId(0);
      aMessage.Insurance(0).Insurance(0).SetPlan("Plan Dummy Value");
      aMessage.Insurance(0).Insurance(0).SetEmployerId("EmployerId Dummy Value");
      aMessage.Insurance(0).Insurance(0).SetEmployerName("EmployerName Dummy Value");
      return aMessage.GenerateMessage();
   }
}
